function image_diff

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plots images 3.5 to 3.6 of the documentation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

temp = [2:1:20];
press = [1:1:40];

mt1 = diffcoeff_sw(15,temp,35,'ch4',0);
mt2 = diffcoeff_sw(21,temp,35,'ch4',0);
%ct1 = diffcoeff_sw(15,temp,35,'co2',0);
%ct2 = diffcoeff_sw(21,temp,35,'co2',0);
wt1 = diffcoeff_sw(15,temp,35,'h2o',0);
wt2 = diffcoeff_sw(21,temp,35,'h2o',0);

mp1 = diffcoeff_sw(press,2,35,'ch4',0);
mp2 = diffcoeff_sw(press,20,35,'ch4',0);
%cp1 = diffcoeff_sw(press,2,35,'co2',0);
%cp2 = diffcoeff_sw(press,20,35,'co2',0);
wp1 = diffcoeff_sw(press,2,35,'h2o',0);
wp2 = diffcoeff_sw(press,20,35,'h2o',0);

for i = 1:length(temp)
    m = solu_co2(15,temp(i),35);
    mt12(i) = diffcoeff_sw(15,temp(i),35,'ch4',m);
    ct12(i) = diffcoeff_sw(15,temp(i),35,'co2',m);
    wt12(i) = diffcoeff_sw(15,temp(i),35,'h2o',m);
     m = solu_co2(21,temp(i),35);
mt22(i) = diffcoeff_sw(21,temp(i),35,'ch4',m);
ct22(i) = diffcoeff_sw(21,temp(i),35,'co2',m);
wt22(i) = diffcoeff_sw(21,temp(i),35,'h2o',m);
end

for i = 1:length(press)
    m = solu_co2(press(i),2,35);
    mp12(i) = diffcoeff_sw(press(i),2,35,'ch4',m);
    cp12(i) = diffcoeff_sw(press(i),2,35,'co2',m);
    wp12(i) = diffcoeff_sw(press(i),2,35,'h2o',m);
        m = solu_co2(press(i),20,35);
mp22(i) = diffcoeff_sw(press(i),20,35,'ch4',m);
cp22(i) = diffcoeff_sw(press(i),20,35,'co2',m);
wp22(i) = diffcoeff_sw(press(i),20,35,'h2o',m);

end


figure(1)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('D / (cm^2/s)','FontSize',16)
plot(temp,mt1*1e4,'r','LineWidth',2)
plot(temp,mt12*1e4,'Linestyle','-','Color',[1,0.6,0],'LineWidth',2)
plot(temp,ct12*1e4,'k','LineWidth',2)
plot(temp,wt1*1e4,'b','LineWidth',2)
plot(temp,wt12*1e4,'c','LineWidth',2)
plot(temp,mt2*1e4,'--r','LineWidth',2)
plot(temp,mt22*1e4,'Linestyle','--','Color',[1,0.6,0],'LineWidth',2)
plot(temp,ct22*1e4,'--k','LineWidth',2)
plot(temp,wt2*1e4,'--b','LineWidth',2)
plot(temp,wt22*1e4,'--c','LineWidth',2)
text(4,1.05e-5,'p = 15 MPa','FontSize',12)
legend('CH_4','CH_4+CO_2','CO_2','H_2O','H_2O+CO_2','CH_4','CH_4+CO_2','CO_2','H_2O','H_2O+CO_2', 'location','NorthWest' )
hold off

figure(2)
clf
hold on
set(gca,'FontSize',14,'xlim',[1 40]);
xlabel('p / MPa','FontSize',16)
ylabel('D / (cm^2/s)','FontSize',16)
plot(press,mp1*1e4,'r','LineWidth',2)
plot(press,mp12*1e4,'Linestyle','-','Color',[1,0.6,0],'LineWidth',2)
plot(press,cp12*1e4,'k','LineWidth',2)
plot(press,wp1*1e4,'b','LineWidth',2)
plot(press,wp12*1e4,'c','LineWidth',2)
plot(press,mp2*1e4,'--r','LineWidth',2)
plot(press,mp22*1e4,'Linestyle','--','Color',[1,0.6,0],'LineWidth',2)
plot(press,cp22*1e4,'--k','LineWidth',2)
plot(press,wp2*1e4,'--b','LineWidth',2)
plot(press,wp22*1e4,'--c','LineWidth',2)
text(4,1.05e-5,'p = 15 MPa','FontSize',12)
legend('CH_4','CH_4+CO_2','CO_2','H_2O','H_2O+CO_2','CH_4','CH_4+CO_2','CO_2','H_2O','H_2O+CO_2', 'location','NorthWest' )
hold off

press = [0:10:2100];
temp= press;
temp(1:61) = [23:-18.5/60:4.5];
temp(61:151) = [4.5:-2.5/90:2];
temp(151:211) = [2:18/60:20];


for i = 1:211 
       m = solu_co2(press(i)./1000.*9.80665+0.1,temp(i),35); 
c(i) = diffcoeff_sw(press(i)./1000.*9.80665+0.1,temp(i),35,'co2',m);
me(i) = diffcoeff_sw(press(i)./1000.*9.80665+0.1,temp(i),35,'ch4',0);
w(i) = diffcoeff_sw(press(i)./1000.*9.80665+0.1,temp(i),35,'h2o',0); 
mc(i) = diffcoeff_sw(press(i)./1000.*9.80665+0.1,temp(i),35,'ch4',m);
wc(i) = diffcoeff_sw(press(i)./1000.*9.80665+0.1,temp(i),35,'h2o',m); 
n(i) = diffcoeff_sw(press(i)./1000.*9.80665+0.1,temp(i),35,'n2',0);
end

figure(6)
clf
 title('Reservoir Model','FontSize',16,'FontWeight','bold');
axis ij
hold on
set(gca,'FontSize',14,'ylim',[0 2110],'xlim',[0 2.5e-5]);
ylabel('water depth / m','FontSize',16)
xlabel('D / (cm^2/s)','FontSize',16)
plot(me*1e4,press,'r','LineWidth',2)
plot(n*1e4,press,'Linestyle','--','Color',[0.4,0,1],'LineWidth',2)
plot(mc*1e4,press,'Linestyle','-','Color',[1,0.6,0],'LineWidth',2)
plot(c*1e4,press,'k','LineWidth',2)
plot(w*1e4,press,'b','LineWidth',2)
plot(wc*1e4,press,'c','LineWidth',2)
text(2e-5,1600,'seafloor','fontsize',14,'Color',[0.7,0.5,0.5]);
line([0 2.5e-5],[1500 1500],'LineStyle','-','LineWidth',2,'Color',[0.7,0.5,0.5]);
legend('CH_4','N_2','CH_4+CO_2','CO_2','H_2O','H_2O+CO_2','seafloor', 'location','East' )
hold off