function image_fugacity

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plots images 2.16 to 2.27 of the documentation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

temp = [2:1:20];
press = [1:1:40];





wmh1 = fugacity_h2omh(15,temp);
wmh2 = fugacity_h2omh(21,temp);
wch1 = fugacity_h2och(15,temp);
wch2 = fugacity_h2och(21,temp);

wmh1p = fugacity_h2omh(press,2);
wmh2p = fugacity_h2omh(press,20);
wch1p = fugacity_h2och(press,2);
wch2p = fugacity_h2och(press,20);


chw1 = fugacity_co2sw(15,temp,35);
chw2 = fugacity_co2sw(21,temp,35);
mhw1 = fugacity_ch4sw(15,temp,35);
mhw2 = fugacity_ch4sw(21,temp,35);

ch1wp = fugacity_co2sw(press,2,35);
ch2wp = fugacity_co2sw(press,20,35);
mh1wp = fugacity_ch4sw(press,2,35);
mh2wp = fugacity_ch4sw(press,20,35);

nw1 = fugacity_n2sw(15,temp,35);
nw2 = fugacity_n2sw(21,temp,35);
ow1 = fugacity_o2sw(15,temp,35);
ow2 = fugacity_o2sw(21,temp,35);
hw1 = fugacity_h2ssw(15,temp,35);
hw2 = fugacity_h2ssw(21,temp,35);

n1wp = fugacity_n2sw(press,2,35);
n2wp = fugacity_n2sw(press,20,35);
o1wp = fugacity_o2sw(press,2,35);
o2wp = fugacity_o2sw(press,20,35);
h1wp = fugacity_h2ssw(press,2,35);
h2wp = fugacity_h2ssw(press,20,35);


figure(1)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20],'ylim',[2 16.5]);
xlabel('T / C','FontSize',16)
ylabel('f / MPa','FontSize',16)
plot(temp,mhw1,'Linestyle','-','Color',[1,0.6,0],'LineWidth',2)
plot(temp,chw1,'c','LineWidth',2)
plot(temp,mhw2,'Linestyle','--','Color',[1,0.6,0],'LineWidth',2)
plot(temp,chw2,'--c','LineWidth',2)
text(4,10,'p = 15 MPa','FontSize',12)
legend('seawater+CH_4','seawater+CO_2','seawater+CH_4','seawater+CO_2', 'location','NorthWest' )
hold off

figure(2)
clf
hold on
set(gca,'FontSize',14,'xlim',[1 40],'ylim',[0 30]);
xlabel('p / MPa','FontSize',16)
ylabel('f / MPa','FontSize',16)
plot(press,mh1wp,'Linestyle','-','Color',[1,0.6,0],'LineWidth',2)
%plot(press,mh2wp,'--m','LineWidth',2)
plot(press,ch1wp,'c','LineWidth',2)
%plot(press,mh2wp,'--c','LineWidth',2)
plot(press,mh2wp,'Linestyle','--','Color',[1,0.6,0],'LineWidth',2)
plot(press,ch2wp,'--c','LineWidth',2)
legend('seawater+CH_4','seawater+CO_2','seawater+CH_4','seawater+CO_2','location','NorthWest' )
hold off

[rho, cv, cp, s, u, h, fp1] = eos_co2(15,temp);
[rho, cv, cp, s, u, h,fp2] = eos_co2(21,temp);
[rho, cv, cp, s, u, h, fpm1] = eos_ch4(15,temp);
[rho, cv, cp, s, u, h, fpm2] = eos_ch4(21,temp);
[rho, cv, cp, s, u, h, ft1] = eos_co2(press,2);
[rho, cv, cp, s, u, h, ft2] = eos_co2(press,20);
[rho, cv, cp, s, u, h, ftm1] = eos_ch4(press,2);
[rho, cv, cp, s, u, h, ftm2]= eos_ch4(press,20);

[rho, cv, cp, s, u, h, fpn1] = eos_n2(15,temp);
[rho, cv, cp, s, u, h,fpn2] = eos_n2(21,temp);
[rho, cv, cp, s, u, h, fpo1] = eos_o2(15,temp);
[rho, cv, cp, s, u, h, fpo2] = eos_o2(21,temp);
[rho, fph1] = eos_h2s(15,temp);
[rho, fph2] = eos_h2s(21,temp);
[rho, cv, cp, s, u, h, ftn1] = eos_n2(press,2);
[rho, cv, cp, s, u, h, ftn2] = eos_n2(press,20);
[rho, cv, cp, s, u, h, fto1] = eos_o2(press,2);
[rho, cv, cp, s, u, h, fto2] = eos_o2(press,20);
[rho,  fth1] = eos_h2s(press,2);
[rho,  fth2]= eos_h2s(press,20);

figure(10)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20])%,'ylim',[0 1.1]);
xlabel('T / C','FontSize',16)
ylabel('f / MPa','FontSize',16)
plot(temp,nw1,'Color',[0.4,0,1],'LineWidth',2)
plot(temp,ow1,'-m','LineWidth',2)
plot(temp,hw1,'Color',[0.9,1,0],'LineWidth',2)
plot(temp,nw2,'Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
plot(temp,ow2,'--m','LineWidth',2)
plot(temp,hw2,'Color',[0.9,1,0],'LineWidth',2,'Linestyle','--')
text(4,0.9,'p = 15 MPa','FontSize',12)
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
%set(gca,'FontSize',10);
legend('seawater+N_2','seawater+O_2','seawater+H_2S','seawater+N_2','seawater+O_2','seawater+H_2S','location','West' )
hold off

figure(11)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20])%,'ylim',[0 1.1]);
xlabel('p / MPa','FontSize',16)
ylabel('f / MPa','FontSize',16)
plot(press,n1wp,'Color',[0.4,0,1],'LineWidth',2)
plot(press,o1wp,'-m','LineWidth',2)
plot(press,h1wp,'Color',[0.9,1,0],'LineWidth',2)
plot(press,n2wp,'Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
plot(press,o2wp,'--m','LineWidth',2)
plot(press,h2wp,'Color',[0.9,1,0],'LineWidth',2,'Linestyle','--')
 text(5,0.6,'T =  2C','FontSize',12)
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
%set(gca,'FontSize',10);
legend('seawater+N_2','seawater+O_2','seawater+H_2S','seawater+N_2','seawater+O_2','seawater+H_2S','location','West' )
hold off

figure(12)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20])%,'ylim',[0 1.1]);
xlabel('T / C','FontSize',16)
ylabel('f / MPa','FontSize',16)
plot(temp,fpn1*15,'Color',[0.4,0,1],'LineWidth',2)
plot(temp,fpo1*15,'-m','LineWidth',2)
plot(temp,fph1*15,'Color',[0.9,1,0],'LineWidth',2)
plot(temp,fpn2*21,'Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
plot(temp,fpo2*21,'--m','LineWidth',2)
plot(temp,fph2*21,'Color',[0.9,1,0],'LineWidth',2,'Linestyle','--')
text(4,0.9,'p = 15 MPa','FontSize',12)
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
%set(gca,'FontSize',10);
legend('N_2','O_2','H_2S','N_2','O_2','H_2S','location','West' )
hold off

figure(13)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20])%,'ylim',[0 1.1]);
xlabel('p / MPa','FontSize',16)
ylabel('f / MPa','FontSize',16)
plot(press,ftn1.*press','Color',[0.4,0,1],'LineWidth',2)
plot(press,fto1.*press','-m','LineWidth',2)
plot(press,fth1.*press','Color',[0.9,1,0],'LineWidth',2)
plot(press,ftn2.*press','Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
plot(press,fto2.*press','--m','LineWidth',2)
plot(press,fth2.*press','Color',[0.9,1,0],'LineWidth',2,'Linestyle','--')
 text(5,0.6,'T =  2C','FontSize',12)
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
%set(gca,'FontSize',10);
legend('N_2','O_2','H_2S','N_2','O_2','H_2S','location','West' )
hold off

figure(3)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('f / MPa','FontSize',16)
plot(temp,fpm1.*15,'r','LineWidth',2)
plot(temp,fp1.*15,'k','LineWidth',2)
plot(temp,fpm2.*21,'--r','LineWidth',2)
plot(temp,fp2.*21,'--k','LineWidth',2)
text(4,10,'p = 15 MPa','FontSize',12)
legend( 'CH_4','CO_2', 'CH_4','CO_2','location','East' )
hold off

figure(4)
clf
hold on
set(gca,'FontSize',14,'xlim',[1 40]);
xlabel('p / MPa','FontSize',16)
ylabel('f / MPa','FontSize',16)
plot(press,ftm1.*press','r','LineWidth',2)
plot(press,ft1.*press','k','LineWidth',2)
plot(press,ftm2.*press','--r','LineWidth',2)
plot(press,ft2.*press','--k','LineWidth',2)
text(4,10,'p = 15 MPa','FontSize',12)
legend( 'CH_4','CO_2', 'CH_4','CO_2', 'location','NorthWest' )
hold off

[f_swp1] = fugacity_sw(15,temp,35,0,0);
[f_swp2] = fugacity_sw(21,temp,35,0,0);
[f_swt1] = fugacity_sw(press,2,35,0,0);
[f_swt2] = fugacity_sw(press,20,35,0,0)';

mc1 = solu_co2(15,temp,35);
mc2 = solu_co2(21,temp,35);
mct1 = solu_co2(press,2,35);
mct2 = solu_co2(press,20,35);

mm1 = solu_ch4(15,temp,35);
mm2 = solu_ch4(21,temp,35);
mmt1 = solu_ch4(press,2,35);
mmt2 = solu_ch4(press,20,35);

fcwp1=temp;
fcwp2 = temp;
fmwp1=temp;
fmwp2 = temp;
fcwt1=press;
fcwt2 = press;
fmwt1=press;
fmwt2 = press;

for i = 1:length(temp)
 fcwp1(i)=fugacity_sw(15,temp(i),35, 0, mc1(i) );
 fcwp2(i)=fugacity_sw(21,temp(i),35, 0, mc2(i) ) ;
 fmwp1(i)=fugacity_sw(15,temp(i),35, mm1(i),0 ) ;
 fmwp2(i)=fugacity_sw(21,temp(i),35,  mm2(i),0 ) ;
    
end

for i = 1:length(press)
 fcwt1(i)=fugacity_sw(press(i),2,35, 0, mct1(i) );
 fcwt2(i)=fugacity_sw(press(i),20,35, 0, mct2(i) ); 
 fmwt1(i)=fugacity_sw(press(i),2,35, mmt1(i),0 ); 
 fmwt2(i)=fugacity_sw(press(i),20,35,  mmt2(i),0 );
    
end

figure(5)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('f / MPa','FontSize',16)
plot(temp,wmh1,'g','LineWidth',2)
plot(temp,fmwp1,'Linestyle','-','Color',[1,0.6,0],'LineWidth',2)
plot(temp,f_swp1,'b','LineWidth',2)
plot(temp,wmh2,'--g','LineWidth',2)
plot(temp,fmwp2,'Linestyle','--','Color',[1,0.6,0],'LineWidth',2)
plot(temp,f_swp2,'--b','LineWidth',2)
text(4,4e-3,'p = 15 MPa','FontSize',12)
legend('H_2O(CH_4-GH)','seawater+CH_4','seawater','H_2O(CH_4-GH)','seawater+CH_4','seawater', 'location','NorthWest' )
hold off

figure(6)
clf
hold on
set(gca,'FontSize',14,'xlim',[1 40],'ylim',[0.5e-3 3.2e-3]);
xlabel('p / MPa','FontSize',16)
ylabel('f / MPa','FontSize',16)
plot(press,wmh1p,'g','LineWidth',2)
plot(press,fmwt1,'Linestyle','-','Color',[1,0.6,0],'LineWidth',2)
plot(press,f_swt1,'b','LineWidth',2)
plot(press,wmh2p,'--g','LineWidth',2)
plot(press,fmwt2,'Linestyle','--','Color',[1,0.6,0],'LineWidth',2)
plot(press,f_swt2,'--b','LineWidth',2)
text(4,4e-3,'p = 15 MPa','FontSize',12)
legend('H_2O(CH_4-GH)','seawater+CH_4','seawater','H_2O(CH_4-GH)','seawater+CH_4','seawater', 'location','NorthWest' )
hold off

figure(7)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('f / MPa','FontSize',16)
plot(temp,wch1,'g','LineWidth',2)
plot(temp,fcwp1,'c','LineWidth',2)
plot(temp,f_swp1,'b','LineWidth',2)
plot(temp,wch2,'--g','LineWidth',2)
plot(temp,fcwp2,'--c','LineWidth',2)
plot(temp,f_swp2,'--b','LineWidth',2)
text(4,4e-3,'p = 15 MPa','FontSize',12)
legend('H_2O(CO_2-GH)','seawater+CO_2','seawater','H_2O(CO_2-GH)','seawater+CO_2','seawater', 'location','NorthWest' )
hold off

figure(8)
clf
hold on
set(gca,'FontSize',14,'xlim',[1 40],'ylim',[0.5e-3 3.2e-3]);
xlabel('p / MPa','FontSize',16)
ylabel('f / MPa','FontSize',16)
plot(press,wch1p,'g','LineWidth',2)
plot(press,fcwt1,'c','LineWidth',2)
plot(press,f_swt1,'b','LineWidth',2)
plot(press,wch2p,'--g','LineWidth',2)
plot(press,fcwt2,'--c','LineWidth',2)
plot(press,f_swt2,'--b','LineWidth',2)
text(4,4e-3,'p = 15 MPa','FontSize',12)
legend('H_2O(CO_2-GH)','seawater+CO_2','seawater','H_2O(CO_2-GH)','seawater+CO_2','seawater', 'location','NorthWest' )
hold off