function image_heatcap

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plots images 2.5 to 2.8 of the documentation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


temp = [2:1:20];
[rho cv1 c1 ]= eos_co2(15,temp);
[rho cv2 c2 ]= eos_co2(21,temp);
[rho cv3 m1 ]= eos_ch4(15,temp);
[rho cv4 m2 ]= eos_ch4(21,temp);
[rho  w1 ]= eos_sw(15,temp,35);
[rho  w2 ]= eos_sw(21,temp,35);
[rho  wp1 ]= eos_sw(15,temp,0);
[rho  wp2 ]= eos_sw(21,temp,0);
[rho nv1 n1 ]= eos_n2(15,temp);
[rho nv2 n2 ]= eos_n2(21,temp);
[rho ov3 o3 ]= eos_o2(15,temp);
[rho ov4 o4 ]= eos_o2(21,temp);
h1 = heatcap_ch4gh(temp);


figure(1)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('c_p / (kJ/kg/K)','FontSize',16)
plot(temp,h1./1000,'g','LineWidth',2)
plot(temp,wp1./1000,'Color',[0,0.6,1],'LineWidth',2)
plot(temp,w1./1000,'b','LineWidth',2)
plot(temp,m1./1000,'r','LineWidth',2)
plot(temp,c1./1000,'k','LineWidth',2)
plot(temp,n1./1000,'Color',[0.4,0,1],'LineWidth',2)
plot(temp,o3./1000,'m','LineWidth',2)
plot(temp,wp2./1000,'Linestyle','--','Color',[0.5,0.5,0.5],'LineWidth',2)
plot(temp,wp2./1000,'Linestyle','--','Color',[0,0.6,1],'LineWidth',2)
plot(temp,w2./1000,'--b','LineWidth',2)
plot(temp,m2./1000,'--r','LineWidth',2)
plot(temp,c2./1000,'--k','LineWidth',2)
plot(temp,n2./1000,'Linestyle','--','Color',[0.4,0,1],'LineWidth',2)
plot(temp,o4./1000,'--m','LineWidth',2)

%text(10,2,'p = 15 MPa:','FontSize',12)%,'FontWeight','bold')
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
%set(gca,'FontSize',10);
legend('CH_4 hydrate','water     15 MPa','seawater  15 MPa','CH_4     15 MPa','CO_2     15 MPa','N_2       15 MPa','O_2       15 MPa','     21 MPa', 'location','West' )
hold off

figure(2)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('c_V / (kJ/kg/K)','FontSize',16)
plot(temp,cv3./1000,'r','LineWidth',2)
plot(temp,cv1./1000,'k','LineWidth',2)
plot(temp,nv1./1000,'Color',[0.4,0,1],'LineWidth',2)
plot(temp,ov3./1000,'m','LineWidth',2)
plot(temp,nv2./1000,'Linestyle','--','Color',[0.5,0.5,0.5],'LineWidth',2)
plot(temp,cv4./1000,'--r','LineWidth',2)
plot(temp,cv2./1000,'--k','LineWidth',2)
plot(temp,nv2./1000,'Linestyle','--','Color',[0.4,0,1],'LineWidth',2)
plot(temp,ov4./1000,'--m','LineWidth',2)
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
%set(gca,'FontSize',10);
%text(10,2,'p = 15 MPa:','FontSize',12)%,'FontWeight','bold')
legend('CH_4    15 MPa','CO_2   15 MPa','N_2     15 MPa','O_2     15 MPa','     21 MPa','location','West' )
hold off

press = [1:1:40];
[rho cv1 c1 ]= eos_co2(press,2);
[rho cv2 c2 ]= eos_co2(press,20);
[rho cv3 m1 ]= eos_ch4(press,2);
[rho cv4 m2 ]= eos_ch4(press,20);
[rho  w1 ]= eos_sw(press,2,35);
[rho  w2 ]= eos_sw(press,20,35);
[rho  wp1 ]= eos_sw(press,2,0);
[rho  wp2 ]= eos_sw(press,20,0);
[rho nv1 n1 ]= eos_n2(press,2);
[rho nv2 n2 ]= eos_n2(press,20);
[rho ov3 o3 ]= eos_o2(press,2);
[rho ov4 o4 ]= eos_o2(press,20);


figure(3)
clf
hold on
set(gca,'FontSize',14,'xlim',[1 40]);
xlabel('p / MPa','FontSize',16)
ylabel('c_p / (kJ/kg/K)','FontSize',16)
plot(press,wp1./1000,'Color',[0,0.6,1],'LineWidth',2)
plot(press,w1./1000,'b','LineWidth',2)
plot(press,m1./1000,'r','LineWidth',2)
plot(press,c1./1000,'k','LineWidth',2)
plot(press,n1./1000,'Color',[0.4,0,1],'LineWidth',2)
plot(press,o3./1000,'m','LineWidth',2)
plot(press,wp2./1000,'Linestyle','--','Color',[0.5,0.5,0.5],'LineWidth',2)
plot(press,wp2./1000,'Linestyle','--','Color',[0,0.6,1],'LineWidth',2)
plot(press,w2./1000,'--b','LineWidth',2)
plot(press,m2./1000,'--r','LineWidth',2)
plot(press,c2./1000,'--k','LineWidth',2)
plot(press,n2./1000,'Linestyle','--','Color',[0.4,0,1],'LineWidth',2)
plot(press,o4./1000,'--m','LineWidth',2)
%text(10,2,'T =  2C:','FontSize',12)%,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
%set(gca,'FontSize',10);
legend('water     2C','seawater  2C','CH_4     2C','CO_2     2C','N_2       2C','O_2       2C','     20C', 'location','West' )
hold off

hold off

figure(4)
clf
hold on
set(gca,'FontSize',14,'xlim',[1 40]);
xlabel('p / MPa','FontSize',16)
ylabel('c_V / (kJ/kg/K)','FontSize',16)
plot(press,cv3./1000,'r','LineWidth',2)
plot(press,cv1./1000,'k','LineWidth',2)
plot(press,nv1./1000,'Color',[0.4,0,1],'LineWidth',2)
plot(press,ov3./1000,'m','LineWidth',2)
plot(press,nv2./1000,'Linestyle','--','Color',[0.5,0.5,0.5],'LineWidth',2)
plot(press,cv4./1000,'--r','LineWidth',2)
plot(press,cv2./1000,'--k','LineWidth',2)
plot(press,nv2./1000,'Linestyle','--','Color',[0.4,0,1],'LineWidth',2)
plot(press,ov4./1000,'--m','LineWidth',2)
%text(10,2,'T =  2C:','FontSize',12)%,'FontWeight','bold')
%set(gca,'FontSize',10);
legend('CH_4    2C','CO_2  2C','N_2    2C','O_2    2C','     20C','location','West' )
hold off

press = [0:10:2100];
temp = press;
temp(1:61) = [23:-18.5/60:4.5];
temp(61:151) = [4.5:-2.5/90:2];
temp(151:211) = [2:18/60:20];


cvc = temp;
cvm = temp;
cpc = temp;
cpm = temp;
cw = temp;

for i = 1:211 
    
 [rho cvc(i) cpc(i) ]= eos_co2(press(i)./1000.*9.80665+0.1,temp(i));
[rho cvm(i) cpm(i) ]= eos_ch4(press(i)./1000.*9.80665+0.1,temp(i));
[rho cvn(i) cpn(i) ]= eos_n2(press(i)./1000.*9.80665+0.1,temp(i));
[rho  cw(i) ]= eos_sw(press(i)./1000.*9.80665+0.1,temp(i),35);   
end

figure(5)
clf
 title('Reservoir Model','FontSize',16,'FontWeight','bold');
axis ij
hold on
set(gca,'FontSize',14,'ylim',[0 2110]);
ylabel('water depth / m','FontSize',16)
xlabel('c_V / (kJ/kg/K)','FontSize',16)
plot(cvm./1000,press,'r','LineWidth',2)
plot(cvc./1000,press,'k','LineWidth',2)
plot(cvn./1000,press,'k','Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
text(0.1,1600,'seafloor','fontsize',14,'Color',[0.7,0.5,0.5]);
line([0 4],[1500 1500],'LineStyle','-','LineWidth',2,'Color',[0.7,0.5,0.5]);
%set(gca,'FontSize',10);
legend('CH_4','CO_2', 'N_2','location','East' )
hold off

figure(6)
clf
 title('Reservoir Model','FontSize',16,'FontWeight','bold');
axis ij
hold on
set(gca,'FontSize',14,'ylim',[0 2110]);
ylabel('water depth / m','FontSize',16)
xlabel('c_p / (kJ/kg/K)','FontSize',16)
plot(cw./1000,press,'b','LineWidth',2)
plot(cpm./1000,press,'r','LineWidth',2)
plot(cpc./1000,press,'k','LineWidth',2)
plot(cpn./1000,press,'Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
text(0.1,1600,'seafloor','fontsize',14,'Color',[0.7,0.5,0.5]);
line([0 4],[1500 1500],'LineStyle','-','LineWidth',2,'Color',[0.7,0.5,0.5]);
%set(gca,'FontSize',10);
legend('seawater','CH_4','CO_2','N_2','location','West' )
hold off